%global	install_loc	%{_datadir}/eclipse/dropins/%{name}
%global	install_loc_sdk	%{_datadir}/eclipse/dropins/%{name}-sdk
Name:		eclipse-wtp-jsf
Version:	3.4.0
Release:	2%{?dist}
Summary:	Tools for building JSF-based, web-enabled applications

Group:		Development/Libraries
License:	EPL
URL:		http://www.eclipse.org/webtools/jsf/main.php

# fetch-eclipse-wtp-jsf-using-map.sh
Source0:	%{name}-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	eclipse-emf >= 2.8.0
BuildRequires:	eclipse-emf-core >= 2.8.0
BuildRequires:	eclipse-emf-sdk >= 2.8.0
BuildRequires:	eclipse-gef >= 3.8.0
BuildRequires:	eclipse-jdt >= 4.2.0
BuildRequires:	eclipse-pde >= 4.2.0
BuildRequires:	eclipse-platform >= 4.2.0
BuildRequires:	eclipse-rcp >= 4.2.0
BuildRequires:	eclipse-swt >= 4.2.0
BuildRequires:	eclipse-wtp-common >= 3.4.0
BuildRequires:	eclipse-wtp-jeetools >= 3.4.0
BuildRequires:	eclipse-wtp-jst-web >= 3.4.0
BuildRequires:	eclipse-wtp-servertools >= 3.4.0
BuildRequires:	eclipse-wtp-sourceediting >= 3.4.0
BuildRequires:	glassfish-jsp-api >= 2.2.1
BuildRequires:	java-devel
BuildRequires:	jpackage-utils

Requires:	eclipse-emf >= 2.8.0
Requires:	eclipse-emf-core >= 2.8.0
Requires:	eclipse-emf-sdk >= 2.8.0
Requires:	eclipse-gef >= 3.8.0
Requires:	eclipse-jdt >= 4.2.0
Requires:	eclipse-platform >= 4.2.0
Requires:	eclipse-rcp >= 4.2.0
Requires:	eclipse-swt >= 4.2.0
Requires:	eclipse-wtp-common >= 3.4.0
Requires:	eclipse-wtp-jeetools >= 3.4.0
Requires:	eclipse-wtp-jst-web >= 3.4.0
Requires:	eclipse-wtp-servertools >= 3.4.0
Requires:	eclipse-wtp-sourceediting >= 3.4.0
Requires:	glassfish-jsp-api >= 2.2.1
Requires:	java
Requires:	jpackage-utils

%description
The JSF Tools Project adds comprehensive support to the Eclipse Web Tools
Platform Project to simplify development and deployment of JavaServer Faces
(JSF) applications. The project provides an extensible tooling infrastructure
and exemplary tools for building JSF-based, web-enabled applications.

%package	sdk
Summary:	SDK for Eclipse Webtools JSF
Requires:	java-javadoc
Requires:	eclipse-pde >= 4.2.0
Requires:	%{name} >= %{version}-%{release}

%description	sdk
Documentation and source for %{name}

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;


%build
eclipse-pdebuild -f org.eclipse.jsf.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jsf_sdk.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.webpageeditor.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.webpageeditor_sdk.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"
eclipse-pdebuild -f org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature -d "wtp-sourceediting eclipse-wtp-jst-web emf emf-sdk eclipse-wtp-common wtp-jeetools org.eclipse.jst.server_ui.feature gef"


%install
install -d -m 755 %{buildroot}%{install_loc}
install -d -m 755 %{buildroot}%{install_loc_sdk}

%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jsf.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jst.webpageeditor.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc} \
    build/rpmBuild/org.eclipse.jst.jsf.apache.trinidad.tagsupport.feature.zip

%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jsf_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jst.webpageeditor_sdk.feature.zip
%{__unzip} -q -d %{buildroot}%{install_loc_sdk} \
    build/rpmBuild/org.eclipse.jst.jsf.apache.trinidad.tagsupport_sdk.feature.zip


%files
%{install_loc}
%doc org.eclipse.jsf.feature/sourceTemplatePlugin/license.html

%files sdk
%{install_loc_sdk}
%doc org.eclipse.jsf.feature/sourceTemplatePlugin/license.html


%changelog
* Fri Jul 21 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.0-2
- Add sdk features.

* Fri Jul 21 2012 Gerard Ryan <galileo@fedoraproject.org> - 3.4.0-1
- Initial packaging.
